
               NUMERICAL METHODS: Pascal Programs
               (c) 1995 by John H. Mathews

                 To Accompany

               NUMERICAL  METHODS
               for Mathematics, Science,
               and Engineering
               Second Edition
               PRENTICE HALL, INC.
               ISBN 0-13-624990-6
               ISBN 0-13-625047-5
               Englewood Cliffs, NJ 07632
               (c) 1992, 1987 by
               John H. Mathews
               California State Unive., Fullerton
               E-mail  in%"mathews@fullerton.edu"


   This free software is complements of the author.
It is permissible to copy this software for educational purposes,
provided that it is used with the textbook. The software may not
be sold for profit and may only be sold in such a way that the 
cost of reproduction are recovered.



                       PREFACE

  This disk contains numerical methods software coded in Pascal.
The algorithms are described in the text NUMERICAL METHODS for
Mathematics, Science, and Engineering.  

  The printed version of this material is titled 
"Pascal Programming Guidebook for NUMERICAL METHODS."

  The author appreciates correspondence regarding both the
textbook and the supplements. You are welcome to correspond
by mail or electronic mail.


Prof.  John  H.  Mathews
Department of Mathematics
California State University Fullerton
Fullerton, CA  92634
(714) 773-3631
(714) 773-3196
FAX: (714) 773-3972
E-mail:  in%"mathews@fullerton.edu"



                   CONTENTS

1.  Preliminaries

2.  The Solution of Nonlinear Equations f(x) = 0

3.  The Solution of Linear Systems  AX = B

4.  Interpolation and Polynomial Approximation

5.  Curve Fitting

6.  Numerical Differentiation

7.  Numerical Integration

8.  Numerical Optimization

9.  Solution of Differential Equations

10. Solution of Partial Differential Equations

11. Eigenvalues and Eigenvectors

--------------------------------------------------
for	Chapter 2.  The Solution of Nonlinear Equations f(x) = 0
,	Algorithm 2.1  Fixed point iteration
,	Algorithm 2.2  Bisection method
,	Algorithm 2.3  False position or Regula Falsi method
,	Algorithm 2.4  Approximate location of roots
,	Algorithm 2.5  Newton-Raphson iteration
,	Algorithm 2.6  Secant method
,	Algorithm 2.7  Steffensen's acceleration
,	Algorithm 2.8  Muller's method
,	Algorithm 2.9  Nonlinear Seidel iteration
,	Algorithm 2.10  Newton-Raphson method in 2-dimensions

for	Chapter 3.  The Solution of Linear Systems  AX = B
,	Algorithm 3.1  Back substitution
,	Algorithm 3.2  Upper-triangularization followed
,	by back substitution
,	Algorithm 3.3  PA = LU factorization with pivoting
,	Algorithm 3.4  Jacobi iteration
,	Algorithm 3.5  Gauss-Seidel iteration

for	Chapter 4.  Interpolation and Polynomial Approximation
,	Algorithm 4.1  Evaluation of a Taylor series
,	Algorithm 4.2  Polynomial calculus
,	Algorithm 4.3  Lagrange approximation
,	Algorithm 4.4  Nested multiplication with multiple centers
,	Algorithm 4.5  Newton interpolation polynomial
,	Algorithm 4.6  Chebyshev approximation

for	Chapter 5.  Curve Fitting
,	Algorithm 5.1  Least squares line
,	Algorithm 5.2  Least squares polynomial
,	Algorithm 5.3  Non-linear curve fitting
,	Algorithm 5.4  Cubic splines
,	Algorithm 5.5  Trigonometric polynomials

for	Chapter 6.  Numerical Differentiation
,	Algorithm 6.1  Differentiation using limits
,	Algorithm 6.2  Differentiation using extrapolation
,	Algorithm 6.3  Differentiation based on N+1 nodes

for	Chapter 7.  Numerical Integration
,	Algorithm 7.1  Composite trapezoidal rule
,	Algorithm 7.2  Composite Simpson's rule
,	Algorithm 7.3  Recursive trapezoidal rule
,	Algorithm 7.4  Romberg integration
,	Algorithm 7.5  Adaptule
,	Algorithm 7.6  Gauss-Legendre quadrature

for	Chapter 8.  Numerical Optimization
,	Algorithm 8.1  Golden search for a minimum
,	Algorithm 8.2  Nelder-Mead's minimization method
,	Algorithm 8.3  Local minimum search using
,	quadratic interpolation
,	Algorithm 8.4  Steepest descent or gradient method

for	Chapter 9.  Solution of Differential Equations
,	Algorithm 9.1  Euler's method
,	Algorithm 9.2  Heun's method
,	Algorithm 9.3  Taylor's method of order four
,	Algorithm 9.4  Runge-Kutta method of order four
,	Algorithm 9.5  Runge-Kutta-Fehlberg method RKF45
,	Algorithm 9.6  Adams-Bashforth-Moulton method
,	Algorithm 9.7  Milne-Simpson method
,	Algorithm 9.8  Hamming's method
,	Algorithm 9.9  Linear shooting method
,	Algorithm 9.10  Finite difference method

for	Chapter 10.  Solution of Partial Differential Equations
,	Algorithm 10.1  Finite difference solution for the wave equation
,	Algorithm 10.2  Forward difference method for the heat equation
,	Algorithm 10.3  Crank-Nicholson method for the heat equation
,	Algorithm 10.4  Dirichlet method for Laplace's equation

for	Chapter 11.  Eigenvalues and Eigenvectors
,	Algorithm 11.1  Power method
,	Algorithm 11.2  Shifted inverse power method
,	Algorithm 11.3  Jacobi iteration for eigenvalues and eigenvectors
,	Algorithm 11.4  Reduction to tridiagonal form
,	Algorithm 11.5  The QL method with shifts


